
Redmine - Defect #9533

Redmine Wiki Gchart LaTeX-style Formula plugin and PDF export

2011-11-06 18:56 - Ivan Cenov

Status: Closed Start date: 2011-11-06

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: PDF export Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

If a wiki page contains formula generated by Redmine Wiki Gchart LaTeX-style Formula plugin it is not rendered in the generated

PDF. Instead, the formula code is rendered.

This is a sample wiki page:

 latex.jpg 

This is how it is rendered into PDF:

 latex_in_pdf.jpg 

The plugin is from https://github.com/masamitsu-murase/redmine_wiki_gchart_formula/ and the version is 0.0.2.

Redmine is current trunk r7746.

Related issues:

Related to Redmine - Feature #401: Add pdf export for WIKI page Closed

Related to Redmine - Feature #3261: support attachment images in PDF export Closed 2009-04-29

History

#1 - 2011-11-06 18:57 - Ivan Cenov

Related to #401 and #3261.

#2 - 2011-11-17 16:32 - Masamitsu Murase

Hi Ivan Cenov,

Thank you for using Wiki Gchart plugin, and I'm sorry for inconvenience.

As you mentioned, I also think that this is an issue of Redmine's PDF export.

I will investigate if this issue is not solved after solving the issue #3261.

Regards,

Murase

#3 - 2011-12-05 16:31 - Masamitsu Murase

#9693 is the new related ticket.

#4 - 2011-12-18 20:44 - Yoav HaCohen

Another problem is with ampersand inside a formula.

For example, the following formula doesn't work: {{latex(A=\begin{bmatrix} 1 & 2 & 3 \\ 4 & 5 & 6 \\ 7 & 8 & 9 \end{bmatrix})}}

#5 - 2011-12-24 08:25 - Ivan Cenov

Export to e-mail notifications is bad too:

another latex

{{latex(x=a+b+c+d)}}

renders as

another latex x=a+b+c+d

And
before latex

{{latex(\frac{a}{b})}}

after latex

renders as

before latex

\frac{a}{b}

after latex

#6 - 2012-01-16 18:49 - Masamitsu Murase

Hi Yoav.

Thank you for your report and I'm sorry for late reply.

I found that the bug of this plugin causes this issue.

I will release fixed version by the end of this month.

I opened an issue ticket on my GitHub page.

If you have any questions, please add your comments to the ticket.

Regards,

Murase

Yoav HaCohen wrote:

Another problem is with ampersand inside a formula.

For example, the following formula doesn't work: {{latex(A=\begin{bmatrix} 1 & 2 & 3 \\ 4 & 5 & 6 \\ 7 & 8 & 9 \end{bmatrix})}}

#7 - 2012-01-22 16:45 - Masamitsu Murase

I've just released fixed version about 'ampersand error'.

I've also changed internal implementation, so this version shows raw string, such as '{{latex(a=b+c)}}', in PDF and email as is the case with other

macros.

#8 - 2017-01-25 15:31 - Ivan Cenov

Please close this issue. It is too old. Google does not support these things this way.

#9 - 2017-02-23 07:28 - Toshi MARUYAMA

- Status changed from New to Closed

Files

latex.jpg 25.9 KB 2011-11-06 Ivan Cenov

latex_in_pdf.jpg 181 KB 2011-11-06 Ivan Cenov
